# VectorNav C++ Library: vn::sensors::BinaryOutputRegister Struct Reference

vn::sensors::BinaryOutputRegister Struct Reference
Register Structures

Structure representing a Binary Output register. More...

`#include <registers.h>`

## Public Member Functions

| BinaryOutputRegister (protocol::uart::AsyncMode asyncModeIn, uint16_t rateDivisorIn, protocol::uart::CommonGroup commonFieldIn, protocol::uart::TimeGroup timeFieldIn, protocol::uart::ImuGroup imuFieldIn, protocol::uart::GpsGroup gpsFieldIn, protocol::uart::AttitudeGroup attitudeFieldIn, protocol::uart::InsGroup insFieldIn)
| Creates an initializes a new BinaryOutputRegister structure. More...
| BinaryOutputRegister (uint16_t asyncModeIn, uint16_t rateDivisorIn, uint16_t commonFieldIn, uint16_t timeFieldIn, uint16_t imuFieldIn, uint16_t gpsFieldIn, uint16_t attitudeFieldIn, uint16_t insFieldIn)

## Public Attributes

protocol::uart::AsyncMode | asyncMode
| The asyncMode field.
uint16_t | rateDivisor
| The rateDivisor field.
protocol::uart::CommonGroup | commonField
| Group 1 (Common)
protocol::uart::TimeGroup | timeField
| Group 2 (Time)
protocol::uart::ImuGroup | imuField
| Group 3 (IMU)
protocol::uart::GpsGroup | gpsField
| Group 4 (GPS)
protocol::uart::AttitudeGroup | attitudeField
| Group 5 (Attitude)
protocol::uart::InsGroup | insField
| Group 6 (INS)

## Detailed Description

Structure representing a Binary Output register.

The field outputGroup available on the sensor's register is not necessary in this structure since all read/writes operations will automatically determine this from the settings for the individual groups within this structure.

Examples:
  getting_started/main.cpp.

## Constructor & Destructor Documentation

vn::sensors::BinaryOutputRegister::BinaryOutputRegister | ( | protocol::uart::AsyncMode | asyncModeIn,
|  | uint16_t | rateDivisorIn,
|  | protocol::uart::CommonGroup | commonFieldIn,
|  | protocol::uart::TimeGroup | timeFieldIn,
|  | protocol::uart::ImuGroup | imuFieldIn,
|  | protocol::uart::GpsGroup | gpsFieldIn,
|  | protocol::uart::AttitudeGroup | attitudeFieldIn,
|  | protocol::uart::InsGroup | insFieldIn
| ) |  |

inline

Creates an initializes a new BinaryOutputRegister structure.

Parameters

  [in] | asyncModeIn | Value to initialize the asyncMode field with.
  [in] | rateDivisorIn | Value to initialize the rateDivisor field with.
  [in] | commonFieldIn | Value to initialize field 1 (Common) with.
  [in] | timeFieldIn | Value to initialize field 2 (Time) with.
  [in] | imuFieldIn | Value to initialize field 3 (IMU) with.
  [in] | gpsFieldIn | Value to initialize field 4 (GPS) with.
  [in] | attitudeFieldIn | Value to initialize field 5 (Attitude) with.
  [in] | insFieldIn | Value to initialize field 6 (INS) with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h